org.apache.myfaces.trinidad.context

## Enum RequestContext.ClientValidation

- java.lang.Object
- - java.lang.Enum<RequestContext.ClientValidation>
  - - org.apache.myfaces.trinidad.context.RequestContext.ClientValidation

- All Implemented Interfaces:
    Serializable, Comparable<RequestContext.ClientValidation>
  Enclosing class:
    RequestContext

      public static enum RequestContext.ClientValidation
      extends Enum<RequestContext.ClientValidation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALERT`
    `DISABLED`
    `INLINE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static RequestContext.ClientValidation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestContext.ClientValidation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALERT

          public static final RequestContext.ClientValidation ALERT

    - #### INLINE

          public static final RequestContext.ClientValidation INLINE

    - #### DISABLED

          public static final RequestContext.ClientValidation DISABLED

  - ### Method Detail

    - #### values

          public static RequestContext.ClientValidation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestContext.ClientValidation c : RequestContext.ClientValidation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestContext.ClientValidation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RequestContext.ClientValidation>`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.